#!/usr/bin/env bash
set -e
set -u
set -o pipefail


some_func() {
    echo "do some func"
}


my_foo=${1:-}


if [[ ! -z $my_foo ]]; then
    touch A D K
    echo "${my_foo}"
fi


echo "executed foo"
